package com.nokia.hb.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Set;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class UpdateTemplateDto {
    @Schema(description = "模板id", required = true)
    @NotNull(message = "id不能为空")
    private Long id;
    @Schema(description = "模板名称", required = true)
    @NotBlank(message = "templateName不能为空")
    private String templateName;
    @Schema(description = "指标", required = true)
    @NotEmpty(message = "indicators不能为空")
    private Set<Integer> indicators;
}
